<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <IsTestProject>true</IsTestProject>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <AssemblyName>Freman.Sample.Web.UnitTests</AssemblyName>
        <RootNamespace>Freman.Sample.Web.UnitTests</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Testing" Version="10.0.3"/>
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="18.0.1"/>
        <PackageReference Include="NSubstitute" Version="5.3.0"/>
        <PackageReference Include="Shouldly" Version="4.3.0"/>
        <PackageReference Include="xunit.v3" Version="3.2.2"/>
        <PackageReference Include="xunit.runner.visualstudio" Version="3.1.5"/>
    </ItemGroup>

    <ItemGroup>
        <Using Include="Xunit"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Freman.Sample.Web.Contracts\Freman.Sample.Web.Contracts.csproj"/>
        <ProjectReference Include="..\Freman.Sample.Web\Freman.Sample.Web\Freman.Sample.Web.csproj"/>
    </ItemGroup>

</Project>